Summary: Simple interface for editing the font path for the X font server.
Name: chkfontpath
Version: 1.9.10
Release: 2a
Copyright: GPL
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source: %{name}-%{version}.tar.gz
%ifnos darwin
Prereq: XFree86-xfs /sbin/pidof
%endif

%description 
This is a simple command line utility for configuring the directories
in the X font server's path.  It is mostly intended to be used
'internally' by RPM when packages with fonts are added or removed, but
it may be useful as a stand-alone utility in some instances.

%prep
%setup -q

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
make INSTROOT=$RPM_BUILD_ROOT BINDIR=%{_sbindir} MANDIR=%{_mandir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%ifnos darwin
%defattr(-,root,root)
%else
%defattr(-,root,wheel)
%endif

%{_sbindir}/*
%{_mandir}/man8/*

%changelog
* Mon Jan 05 2004 Keisuke Fujii <keisuke.fujii@kek.jp> 1.9.10-2a
- 1st release on MacOSX 10.3.

* Thu Jun 05 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May 28 2003 Mike A. Harris <mharris@redhat.com> 1.9.10-1
- Add patch from Uli, with some cosmetic cleanups to fix bug (#90942)

* Tue May 20 2003 Bill Nottingham <notting@redhat.com> 1.9.9-1
- don't forcibly strip binaries on make install

* Fri May 16 2003 Mike A. Harris <mharris@redhat.com> 1.9.8-1
- Fix serious problem where chkfontpath sends SIGUSR1 to PID 2 bug (#90999)
- Replace hard coded xfs config file paths with constants
- Implemented fatalerror() for displaying variadic error messages and bailing
  with EXIT_FAILURE when "quiet" mode is not enabled, or silencing error
  output and exiting with EXIT_SUCCESS when "quiet" mode is enabled.  Replaced
  all conditionalized tests for quiet mode throughout the code, and changed
  all critical error messages with calls to fatalerror()
- Make restartXfs() more robust, with a fallback for if /proc isn't available.

* Mon Feb 10 2003 Mike A. Harris <mharris@redhat.com> 1.9.7-1
- Bump and rebuild in new environment as 1.9.7-1
- Fixes for GNU extension usage isblank()

* Tue May 21 2002 Mike A. Harris <mharris@redhat.com> 1.9.6-1
- Bump and rebuild in new environment as 1.9.6-1

* Thu Jan 18 2001 Preston Brown <pbrown@redhat.com>
- document missing arguments (#24055) in man page
- use popt to generate help text for the program

* Thu Jan 18 2001 Nalin Dahyabhai <nalin@redhat.com>
- #ifdef out some debugging code (#24054)
- do a setlocale() before using ctype functions

* Fri Jan 12 2001 Preston Brown <pbrown@redhat.com>
- fixed up handling of catalogue line in situations where there is no
  path listed on the first line (#10128)
- fixed up handling when adding a directory to empty font path (#11108)
- use fputs where more correct (#14286)

* Tue Jul  4 2000 Matt Wilson <msw@redhat.com>
- Prereq: XFree86-xfs to insure that it gets installed before
  chkfontpath is.  This should promote XFree86-xfs to be installed
  before any package that has a Prereq: on chkfontpath
- Prereq: /sbin/pidof (even though a Requires: should be sufficient)

* Mon Jun 12 2000 Preston Brown <pbrown@redhat.com>
- FHS macros

* Wed May 17 2000 Matt Wilson <msw@redhat.com>
- rebuilt to get rid of broken deps

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man page, update description.

* Mon Oct 18 1999 Preston Brown <pbrown@redhat.com>
- patches from JJ understand :unscaled automatically, no longer necessary
  to specify manually on the cmd line
- tries to keep specific font groups together much harder.

* Mon Sep 27 1999 Preston Brown <pbrown@redhat.com>
- incorporated patches to deal with :unscaled font dir entries, and
  add a --first flag to add the path at the beginning instead of the end.
- minor cleanups

* Fri Aug 15 1999 Preston Brown <pbrown@redhat.com>
- fixed up basename
- default to list, not help
- if trailing slash '/' is appended to paths given, strip it off

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- preserve permissions on config file

* Thu Apr 07 1999 Preston Brown <pbrown@redhat.com>
- if /proc isn't mounted, don't do a killall

* Tue Mar 30 1999 Preston Brown <pbrown@redhat.com>
- don't use psmisc, use pidof from SysVinit

* Fri Mar 12 1999 Preston Brown <pbrown@redhat.com>
- made psmisc a requirement.

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- added "quiet" option.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- injected new group / description.

* Tue Feb 16 1999 Preston Brown <pbrown@redhat.com>
- important fix - kill font server with USR1 instead of HUP.

* Mon Feb 15 1999 Preston Brown <pbrown@redhat.com>
- initial spec file
